<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class licenses extends Controller {
	public function __construct() {
		$this->header();
		$this->data['activeSection'] = 'mylicenses';
		$this->data['navbarName'] = 'Мои сайты';
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('common/header', 'user/access', 'common/footer'), $this->data); //Загружаем шаблон
		endif;
		
		$this->model('licenses');
		$this->model('games');
		
		$games = $this->gamesModel->getGames();
		$this->data['games'] = $games;
		
		if($this->GET() >= '1'){
			$license = $this->licensesModel->getLicenseInfo($this->GET());
			$this->data['license'] = $license;
			
			if($license['user_id'] != $_SESSION['user_id']):
				return $this->view(array('common/header', 'user/access', 'common/footer'), $this->data); //Загружаем шаблон
			endif;
			
			if($license){
				if($this->POST('edit_license')){
					$domain = $this->POST('domain');
					
					if($domain){
						if(!$this->licensesModel->checkLicense($domain)){
							if($this->licensesModel->editLicense($this->GET(), $domain)){
								$this->data['success'] = 'Сайт успешно изменен.';
							} else {
								$this->data['error'] = 'При изменении сайта произошла ошибка.';
							}
						} else {	
							$this->data['error'] = 'Этот сайт уже был добавлен.';
						}
					} else {
						$this->data['error'] = 'Введите домен сайта!';
					}
				}
			} else {
				return $this->view(array('common/header', 'errors/404license', 'common/footer'), $this->data); //Загружаем шаблон
			}
		} else{
			return $this->view(array('common/header', 'errors/404license', 'common/footer'), $this->data); //Загружаем шаблон
		}
		
		return $this->view(array('common/header', 'licenses/edit', 'common/footer'), $this->data); //Загружаем шаблон
	}
}